## desktop-autoloader 0.0.4

=== debian/changelog ===
desktop-autoloader (0.0.4-1) unstable; urgency=medium

  * New upstream release.
    - Randomize delay before auto-loading session (something
      between 61 and 260 seconds after boot). (Closes: #895042).
    - Disabled by default, requires explicitly being enabled
      via /etc/default/desktop-autoloader. (Closes: #895040).
    - Debugging support via VNC.
    - Only autoload desktop when system is above a configurable
      memory threshold. (Closes: #895041).
  * debian/control:
    + Rephrase LONG_DESCRIPTION.
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + Add to S (desktop-autoloader): x11vnc.
    + Rephrase URL in Vcs-Browser: field to make lintian happy.
  * debian/{desktop-autoloader.cron.d,desktop-autoloader.default}:
    + Adopt these files from upstream's contrib/ folder.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 16 May 2018 13:31:31 +0200

desktop-autoloader (0.0.3-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #894737).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 03 Apr 2018 21:05:25 +0200
