=== debian/watch ===
version=3
https://code.it-zukunft-schule.de/cgit/desktop-autoloader/ \
    snapshot/desktop-autoloader-(\d\.\d\.\d)\.tar\.gz$
